//
//  CPDFFormBar.h
//  compdfkit-tools
//
//  Copyright © 2014-2023 PDF Technologies, Inc. All Rights Reserved.
//
//  THIS SOURCE CODE AND ANY ACCOMPANYING DOCUMENTATION ARE PROTECTED BY INTERNATIONAL COPYRIGHT LAW
//  AND MAY NOT BE RESOLD OR REDISTRIBUTED. USAGE IS BOUND TO THE ComPDFKit LICENSE AGREEMENT.
//  UNAUTHORIZED REPRODUCTION OR DISTRIBUTION IS SUBJECT TO CIVIL AND CRIMINAL PENALTIES.
//  This notice may not be removed from this file.
//

#import <UIKit/UIKit.h>
#import <compdfkit_tools/CPDFListView.h>

typedef NS_ENUM(NSInteger, CPDFFormToolbarSelectedIndex) {
    CPDFFromToolbarNone = 0,
    CPDFFormToolbarText,
    CPDFFormToolbarCheckBox,
    CPDFToolbarRadioButton,
    CPDFToolbarComboBox,
    CPDFToolbarList,
    CPDFToolbarButton,
    CPDFToolbarSign,
};

@class CPDFFormBar;
@class CPDFListView;
@class CAnnotationManage;

@protocol CPDFFormBarDelegate <NSObject>

@optional
- (void)formBarClick:(CPDFFormBar *)pdfFormBar forSelected:(BOOL)isSelected forButton:(UIButton *)button;
@end

@interface CPDFFormBar : UIView

@property (nonatomic, readonly) CPDFListView *pdfListView;

@property (nonatomic, weak) id<CPDFFormBarDelegate> delegate;

@property (nonatomic, strong) UIViewController *parentVC;

- (instancetype)initAnnotationManage:(CAnnotationManage *)annotationManage;
- (void)reloadData;
- (void)buttonItemClicked_open:(UIButton *)button;
- (void)buttonItemClicked_openOption:(UIButton *)button;
- (void)updateStatus;
- (void)initUndoRedo;

@end
