//
//  CPDFPageEditViewCell.m
//  compdfkit-tools
//
//  Copyright © 2014-2023 PDF Technologies, Inc. All Rights Reserved.
//
//  THIS SOURCE CODE AND ANY ACCOMPANYING DOCUMENTATION ARE PROTECTED BY INTERNATIONAL COPYRIGHT LAW
//  AND MAY NOT BE RESOLD OR REDISTRIBUTED. USAGE IS BOUND TO THE ComPDFKit LICENSE AGREEMENT.
//  UNAUTHORIZED REPRODUCTION OR DISTRIBUTION IS SUBJECT TO CIVIL AND CRIMINAL PENALTIES.
//  This notice may not be removed from this file.
//

#import "CPDFPageEditViewCell.h"

@interface CPDFPageEditViewCell ()

@property (nonatomic, strong) UIButton *selectButton;

@end

@implementation CPDFPageEditViewCell

- (instancetype)initWithFrame:(CGRect)frame {
    if (self = [super initWithFrame:frame]) {
        self.selectButton = [[UIButton alloc] initWithFrame:CGRectMake(5, 5, 20, 20)];
        self.selectButton.selected = self.selected;
        [_selectButton setImage:[UIImage imageNamed:@"CPageEditToolBarImageSelectOff" inBundle:[NSBundle bundleForClass:self.class] compatibleWithTraitCollection:nil] forState:UIControlStateNormal];
        [_selectButton setImage:[UIImage imageNamed:@"CPageEditToolBarImageSelectOn" inBundle:[NSBundle bundleForClass:self.class] compatibleWithTraitCollection:nil] forState:UIControlStateSelected];
        [self.imageView addSubview:_selectButton];
        self.selectButton.hidden = YES;
        
        self.imageView.userInteractionEnabled = YES;
    }
    return self;
}

- (void)layoutSubviews {
    [super layoutSubviews];
}

- (void)setEdit:(BOOL)editing {
    if (editing) {
        _selectButton.hidden = NO;
    } else {
        _selectButton.hidden = YES;
    }
    [self layoutSubviews];
}

- (void)setSelected:(BOOL)selected {
    [super setSelected:selected];
    if (selected) {
        self.textLabel.backgroundColor = [UIColor colorWithRed:20./255 green:96./255 blue:243./255 alpha:1];
        self.textLabel.textColor = [UIColor whiteColor];
        self.imageView.layer.borderColor = [UIColor colorWithRed:20./255 green:96./255 blue:243./255 alpha:1].CGColor;
        self.imageView.layer.borderWidth = 2;
        self.imageView.layer.cornerRadius = 4;
        self.imageView.clipsToBounds = YES;
    } else {
        self.textLabel.backgroundColor = [UIColor clearColor];
        self.textLabel.textColor = [UIColor blackColor];
        self.imageView.layer.borderColor = [UIColor colorWithRed:242/255. green:242/255. blue:242/255. alpha:1.].CGColor;
        self.imageView.layer.borderWidth = 1;
    }
    
    self.selectButton.selected = selected;
}

@end
